ISATTY(3)

NAME
isatty - does this descriptor refer to a terminal

SYNOPSIS
#include <unistd.h>

int isatty(int desc);

DESCRIPTION
returns 1 if desc is an open file descriptor connected to a terminal and 0 otherwise.

CONFORMING TO
SVr4, 4.3BSD, POSIX.1-2001.

SEE ALSO
fstat(2), ttyname(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.